<?php

class Waindigo_LastPostAvatar_Listener_LoadClass extends Waindigo_Listener_LoadClass
{

    protected function _getExtendedClasses()
    {
        return array(
            'Waindigo_LastPostAvatar' => array(
                'controller' => array(
                    'Waindigo_SocialGroups_ControllerPublic_SocialCategory',
                    'Waindigo_SocialGroups_ControllerPublic_SocialForum',
                    'XenForo_ControllerPublic_Forum'
                ), /* END 'controller' */
                'model' => array(
                    'Waindigo_SocialGroups_Model_SocialForum',
                    'XenForo_Model_Node',
                    'XenForo_Model_Thread',
                    'XenForo_Model_ThreadWatch'
                ), /* END 'model' */
            ), /* END 'Waindigo_LastPostAvatar' */
        );
    } /* END _getExtendedClasses */

    public static function loadClassController($class, array &$extend)
    {
        $loadClassController = new Waindigo_LastPostAvatar_Listener_LoadClass($class, $extend, 'controller');
        $extend = $loadClassController->run();
    } /* END loadClassController */

    public static function loadClassModel($class, array &$extend)
    {
        $loadClassModel = new Waindigo_LastPostAvatar_Listener_LoadClass($class, $extend, 'model');
        $extend = $loadClassModel->run();
    } /* END loadClassModel */
}